LibreOffice LibreOffice 7.2 SDK API Reference

Public Member Functions | List of all members
XSheetAnnotationAnchor Interface Referencepublished

provides access to a cell annotation attached to a spreadsheet cell. More...

`import"XSheetAnnotationAnchor.idl";`

Inheritance diagram for XSheetAnnotationAnchor:

## Public Member Functions
com::sun::star::sheet::XSheetAnnotation | getAnnotation ()
| returns the annotation at this anchor. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to a cell annotation attached to a spreadsheet cell.

See also
  com::sun::star::sheet::SheetCell
  com::sun::star::sheet::CellAnnotation

Developers Guide
  Spreadsheets - Cell Annotations

## Member Function Documentation

## ◆ getAnnotation()

com::sun::star::sheet::XSheetAnnotation getAnnotation | ( |  | ) |

returns the annotation at this anchor.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetAnnotationAnchor.idl